package org.loom.converter;

import org.loom.i18n.Messages;
import org.loom.i18n.MessagesRepository;
import org.loom.servlet.params.FileParameter;

/**
 * Converts an uploaded file
 * @author icoloma
 *
 */
public interface FileParameterConverter {
	
	/**
	 * Return the object value for the given text
	 * @param paramValue the value that is being parsed
	 * @return the parsed value (can be null), maybe ading new values to the errors array 
	 */
	public Object getAsObject(String paramName, FileParameter paramValue, Messages messages, MessagesRepository repository);

}
