package org.loom.tags.menu;

import org.loom.tags.decorator.TagDecorator;


public abstract class AbstractMenuDecorator implements TagDecorator<MenuTag> {

	/** true to render unauthorized menu items, default false */
	private boolean renderUnauthorizedItems;

	public AbstractMenuDecorator() {
		super();
	}

	public boolean isRenderUnauthorizedItems() {
		return renderUnauthorizedItems;
	}

	public void setRenderUnauthorizedItems(boolean renderUnauthorizedItems) {
		this.renderUnauthorizedItems = renderUnauthorizedItems;
	}

}