package org.loom.validator;

import org.loom.tags.FormInputTag;

/**
 * A metadata-aware class that can decorate a tag that will be printed to the browser 
 * 
 * @author icoloma
 * 
 */
public interface FormInputDecorator {

	/**
	 * Decorates a form input field to display to the user
	 */
	public void decorate(FormInputTag field);
	
}
