package org.loom.exception;

import java.io.FileNotFoundException;

/**
 * An unchecked FileNotFoundException class
 * @author icoloma
 *
 */
public class RuntimeFileNotFoundException extends HttpException {

	public RuntimeFileNotFoundException(FileNotFoundException e) {
		super(404, e);
	}

	public RuntimeFileNotFoundException(String message) {
		super(404, message);
	}
	
}
