package org.loom.resources;

import java.io.IOException;

public interface WebResourceDataFactory {

	/**
	 * Creates a {@link WebResourceData} instance 
	 * @throws IOException 
	 */
	
	public void setDebug(boolean debug);

	public WebResourceData create(String bundleName, Integer index,
			String filename) throws IOException;

	public WebResourceData create(String bundleName);

}
