package org.loom.resources.compressor;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import org.apache.commons.io.IOUtils;

/**
 * A null compressor that does not do modify the file contents.
 * @author icoloma
 */
public class NullCompressor implements WebResourceCompressor {

	public void compress(InputStream input, OutputStream output) throws IOException {
		IOUtils.copy(input, output);
	}

}
