package org.loom.tags.core;

import java.util.Comparator;

/**
 * Compare options by value. 
 * @author Ignacio Coloma
 */
public class ValueComparator implements Comparator<Option> {
	
	public int compare(Option o1, Option o2) {
		return ((Comparable)o1.getValue()).compareTo(o2.getValue());
	}
	
}