package org.loom.validator;

import org.loom.tags.Button;

/**
 * Modify buttons that point to a certain action and event, based on metadata
 * contained by the implementing class.
 * @author icoloma
 */
public interface ButtonDecorator {

	public void decorate(Button button);
	
}
